Update Group

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/group

Division or group within or across the bounds of organizations. Groups have administrators and members and can be assigned access rights to datasets or dashboards. The creating user of a group is automatically given group owner rights. Groups can be created by any user. Only group owners can update or delete a group, or associate or dissociate new group members.

Only the owner of the group can update the group. Other users can be made owner by associating them with the group and using the 'flagOwner'.

Request parametersResponse schema
id UUID

The unique identifier of the entity

name Multilingual string

Internationalized description of the group.

created_at DATETIME
No description available
updated_at DATETIME
No description available
public BOOLEAN

Flag for signifying whether the group is public

Can be executed by:
Entity Owner
Can be associated to:
Dashboard
Dataset
User
Organization
Collection
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
composer require luzmo/luzmo-sdk-php
Example Response
200
400
500
{
  "public": false,
  "name": {
    "en": "MyGroup"
  },
  "id": "f5aff911-94fc-45f3-9de2-68e3a0a82334",
  "organization_id": "97d77efd-3314-41cc-89d9-05a497fb5ec6",
  "suborganization": null,
  "created_at": "2018-08-28T10:12:23.625Z",
  "updated_at": "2018-08-28T10:12:23.625Z",
  "deleted_at": null
}